Error message: ret_record_core_invalid_client_cert

This error message is accompanied by the text: “Client certificate used with Digital Editions is invalid. You will not be able to use all the features available in this application.”

Adobe has recently updated the security certificate on their authorisation server and it has caused issues for all ADE users who are not using the latest version (4.5.7). To resolve the issue please update your ADE to the latest version.

You can download the update here: https://www.adobe.com/solutions/ebook/digital-editions/download.html

Please note that the website currently lists the latest version as 4.5.6 but when you install it will state it is 4.5.7.

If you are still receiving the error please contact our support team. Please quote the error message when doing so.

Have more questions? Submit a request

0 Comments

Article is closed for comments.